[gxml/autotools_fixes: 7/9] Add check for autoreconf and intltool
- From: Javier JardÃn <jjardon src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gxml/autotools_fixes: 7/9] Add check for autoreconf and intltool
- Date: Thu, 23 Aug 2012 17:49:05 +0000 (UTC)
commit 1e6ebb5e1e611bd86a707e85d0575973f1a49285
Author: Javier JardÃn <jjardon gnome org>
Date: Fri Aug 24 02:33:07 2012 +0900
Add check for autoreconf and intltool
autogen.sh | 12 ++++++++++++
1 files changed, 12 insertions(+), 0 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 718b004..1db7496 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -17,6 +17,18 @@ fi
# TODO: consider adding specifying automake and aclocal version here ala libfolks
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please intall it ***"
+ exit 1
+fi
+
+INTLTOOLIZE=`which intltoolize`
+if test -z $INTLTOOLIZE; then
+ echo "*** No intltoolize found, please install the intltool package ***"
+ exit 1
+fi
+
mkdir -p m4
autoreconf -i -f
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]